package sgc.portal.cw.cw0630.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0630.model.CW06300001U;
import sgc.portal.cw.cw0630.dto.CW06300001USearch;
import sgc.portal.cw.cw0630.service.CW06300001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0630")
public class CW06300001UController {
    private final CW06300001UService service;

    public CW06300001UController(CW06300001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06300001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06300001USearch search) {
        return service.getList(search);
    }

    @PostMapping("/CW06300001U/listQA")
    public List<EasyHashMap<String, Object>> getListQA(@RequestBody CW06300001USearch search) {
        return service.getListQA(search);
    }
    
    @PostMapping("/CW06300001U/conf")
    public Map<String, String> updateConf(@RequestBody List<CW06300001U> CW06300001U) {
    	return service.updateConf(CW06300001U);
    }
    
    @PostMapping("/CW06300001U/return")
    public Map<String, String> updateReturn(@RequestBody List<CW06300001U> CW06300001U) {
    	return service.updateReturn(CW06300001U);
    }

    @PostMapping("/CW06300001U/save")
    public Map<String, String> save(@RequestBody List<CW06300001U> CW06300001U) {
    	return service.save(CW06300001U);
    }
    
    
}
